Subject: Replace FLOW3.yaml file by a regular Settings.yaml file
Description

Historically it made sense to have a dedicated FLOW3.yaml file. However, in reality it only contains regular settings of the FLOW3
package – nothing really different from other settings.

The only differences between FLOW3 settings and other package's settings are:

    -  FLOW3 settings can only be defined in the FLOW3 package itself or in the global configuration directories – not in any package's
Configuration directory
    -  FLOW3 settings are loaded very early during the boot process, even before the Object Manager is initialized

For consistency and KISS reasons, the options defined in FLOW3.yaml should be moved to a regular Settings.yaml file.

Associated revisions
Revision fe6c6df9 - 2009-11-30 15:04 - Robert Lemke

[~TASK][!!!] FLOW3 (Configuration): Merged the FLOW3 settings into the generic Settings.yaml file, dropping support for the FLOW3.yaml files. This
means that you need to move all your custom settings from your own FLOW3.yaml files to Settings.yaml. Note that in FLOW3.yaml files no "FLOW3:"
key on the first level was necessary which now becomes mandatory in the Settings.yaml file. Resolves #5579
[~FEATURE] FLOW3 (Configuration): The configuration cache (usually only used in Production context) is now cleared automatically if the FLOW3
Bootstrap revision changes.
[~TASK] FLOW3 (Documentation): Updated the examples referring to FLOW3.yaml.

Revision c7d7a249 - 2009-11-30 15:04 - Robert Lemke

[~TASK][!!!] FLOW3 (Configuration): Merged the FLOW3 settings into the generic Settings.yaml file, dropping support for the FLOW3.yaml files. This
means that you need to move all your custom settings from your own FLOW3.yaml files to Settings.yaml. Note that in FLOW3.yaml files no "FLOW3:"
key on the first level was necessary which now becomes mandatory in the Settings.yaml file. Resolves #5579
[~FEATURE] FLOW3 (Configuration): The configuration cache (usually only used in Production context) is now cleared automatically if the FLOW3
Bootstrap revision changes.
[~TASK] FLOW3 (Documentation): Updated the examples referring to FLOW3.yaml.

History
#1 - 2009-11-30 16:00 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

2015-08-03 1/2



Applied in changeset r3518.
